import java.util.*;

/**
 * Verwaltet Karten, die in ein Terminal
 * eingeschoben werden.
 * 
 * @see Karteninfo, Karte
 * @invariants AnzahlFehlEingaben < 3 
 */

public class Kartenleser extends Observable {
	



	/**
	 * Momentan eingeschobene Karte. Null falls keine
	 * Karte eingeschoben ist.
	 */
	private Karte aktuelleKarte;



    /**
	 * berprft die PIN einer Karte mit der eingebenen
	 * PIN. 
	 *
	 * @params	PIN	eingebenene Zahl
	 * @return		true bei ereinstimmung
	 * @throws	Exception falls keine Karte eingelegt ist
     * @postconditions (PIN = karte.PIN and result = true) or
     * (result = false and AnzahlFehlEingaben = AnzahlFehlEingaben+1)
     */

    public boolean pruefePIN(int pin) {

		if (pin == aktuelleKarte.gibPIN()){
		
			aktuelleKarte.setzeFalscheingaben(0);
			return true;
		}
		
		aktuelleKarte.erhoeheFalscheingaben();
		if (aktuelleKarte.gibFalscheingaben() == 3) {
				//zieheKarteEin();
               return false;
		}

		return false;
    }

}

